org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CACollection

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CACollection

-     public class CACollection
      extends Object

  Java class for CACollection complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CACollection">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cA" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CA" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<CA>` | `ca`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CACollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CA>` | `getCA()` Gets the value of the ca property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ca

          protected List<CA> ca

  - ### Constructor Detail

    - #### CACollection

          public CACollection()

  - ### Method Detail

    - #### getCA

          public List<CA> getCA()

      Gets the value of the ca property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ca property.

      For example, to add a new item, do as follows:

              getCA().add(newItem);

      Objects of the following type(s) are allowed in the list `CA`

Copyright © 2017 WSO2. All rights reserved.